Bug 331523 - digiKam don't compile with next Lensfun version where CCI correction have been removed
Summary: digiKam don't compile with next Lensfun version where CCI correction have bee...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Portability-Compilation (show other bugs)
Version: 4.3.0
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-26 09:07 UTC by Marc Cousin
Modified: 2017-08-19 21:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Cousin 2014-02-26 09:07:39 UTC
When trying to compile digikam 4.0.0-beta3 with latest lensfun svn, building fails with

‘LF_MODIFY_CCI’ was not declared in this scope


This is because of commit 480 in lensfun: http://svn.berlios.de/wsvn/lensfun?op=comp&compare[]=/@479&compare[]=/@480

It removes support for CCI. So maybe it would be better to anticipate ?

I didn't see it mentionned in the bug tracking system, and didn't know if this should be made into a bug report.

Regards.
Comment 1 caulier.gilles 2014-02-26 09:48:21 UTC
The question is why CCI Feature (Lens Color Contribution) have been removed from Lensfun ? I cannot see any comment about in commit message...

Gilles Caulier
Comment 2 Marc Cousin 2014-02-26 09:56:12 UTC
No idea. I just tried to compile latest digikam with latest lensfun (because I wanted to see if the bug 330943 was there too).
Comment 3 caulier.gilles 2014-02-26 09:58:02 UTC
Removing code from digiKam to drop CCI features is easy. I want to be sure that CCI is really removed and why, before to touch code from digiKam lensfun interface

Gilles Caulier
Comment 4 Marc Cousin 2014-02-26 10:00:19 UTC
http://developer.berlios.de/forum/message.php?msg_id=97629

I guess that, as nobody objected… :)
Comment 5 Fero 2014-08-30 20:42:40 UTC
Hello, I tried to compile digikam 4.2.0 with lensfun svn snapshot today and it failed due to the same problem as above... :-( i want to use latest lensfun because my camera support has been added there...

best regards

Frantisek
Comment 6 caulier.gilles 2014-08-31 08:33:35 UTC
Fero,

When is planed next lensfun release without CCI feature ?

Gilles Caulier
Comment 7 Fero 2014-08-31 20:03:53 UTC
Hi Gilles, 

I'm sorry, I have no idea when next version of lensfun will be released ;-). I checked on their website, mailing list but found no info...

Fero
Comment 8 caulier.gilles 2014-09-02 15:08:07 UTC
Git commit 2ad23dae290c64c293d9c3d3ae2c8734c99f902b by Gilles Caulier.
Committed on 02/09/2014 at 15:06.
Pushed by cgilles into branch 'master'.

Make digiKam ready to use next Lensfun API where CII correction have been removed.
Related: bug 319383, bug 333540
FIXED-IN: 4.3.0

M  +1    -2    imageplugins/enhance/lensautofixtool.cpp
M  +1    -1    imageplugins/enhance/lensautofixtool.h
M  +3    -12   libs/dimg/filters/lens/lensfunfilter.cpp
M  +3    -5    libs/dimg/filters/lens/lensfunfilter.h
M  +3    -6    libs/dimg/filters/lens/lensfuniface.cpp
M  +0    -1    libs/dimg/filters/lens/lensfuniface.h
M  +1    -26   libs/dimg/filters/lens/lensfunsettings.cpp
M  +1    -2    libs/dimg/filters/lens/lensfunsettings.h
M  +8    -13   utilities/queuemanager/basetools/enhance/lensautofix.cpp
M  +1    -1    utilities/queuemanager/basetools/enhance/lensautofix.h

http://commits.kde.org/digikam/2ad23dae290c64c293d9c3d3ae2c8734c99f902b
Comment 9 Fero 2014-09-16 20:49:00 UTC
Hi Gilles,

compiled successfully - current lensfun git clone with digikam 4.3.0

many thanks! keep up the great job! ;-)

Best regards

Fero
Comment 10 Veaceslav Munteanu 2015-06-01 13:30:16 UTC
Current master do not compile with lensfun 0.3.0-1

the same error:

error: 'LF_MODIFY_CCI' was not declared in this scope
         modifyFlags |= LF_MODIFY_CCI;
Comment 11 Veaceslav Munteanu 2015-06-01 13:33:00 UTC
Oops.. A mistake from my side :)